#ifndef _CONFIG_H_
#define _CONFIG_H_

#include <stm32f4xx.h>
#include <stm32f4xx_i2c.h>
#include <stm32f4xx_gpio.h>
#include <stm32f4xx_rcc.h>
#include <string.h>
#include "tm_stm32f4_usb_vcp.h"
#include "main.h"
#include <stm32f4xx_it.h>
#include "paradacontrolada.h"
#include "tm_stm32f4_delay.h"
#include "tm_stm32f4_disco.h"

// Funcs
void Control_TimerInit(uint32_t frequency);
void encoder1_config(void);
void encoder2_config(void);
void encoder3_config(void);
void encoder4_config(void);
void dac_init(void);
void PWM(void); //TIM_SetCompare4(TIM1, 1000);
void Configure_GPIOB_EXTI(uint8_t GPIO_Line);
void Configure_GPIOF_EXTI(uint8_t GPIO_Line);

#endif //_HOMMING_H_
